<?php
/************************************************************************/
/* Eleonline - Raccolta e diffusione dei dati elettorali                */
/* by Roberto Gigli & Luciano Apolito                                   */
/* http://www.eleonline.it                                              */
/* info@eleonline.it  rgigli@libero.it                                  */
/************************************************************************/
/* Modulo Inserimento dati                                              */
/* Amministrazione                                                      */
/************************************************************************/

if (!defined('ADMIN_FILE')) {
    die ("You can't access this file directly...");
}
global $dbi;
$aid=$_SESSION['aid'];
$prefix=$_SESSION['prefix'];
$currentlang=$_SESSION['lang'];
$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
$vari= implode(',',$_GET);//param);
$id_comune=$_SESSION['id_comune'];
$id_cons_gen=intval($_GET['id_cons_gen']);
$perms=ChiSei($id_cons_gen);
if ($perms<16 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
//if (isset($param['id_cons'])) $id_cons=intval($param['id_cons']); else $id_cons='';
if (isset($param['ops'])) $ops=intval($param['ops']); else $ops='';
if (isset($param['min'])) $min=intval($param['min']); else $min=0;
if (isset($param['ok'])) $ok=intval($param['ok']); else $ok='';
if (isset($param['ov'])) $ov=intval($param['ov']); else $ov='';
if (isset($param['mv'])) $mv=intval($param['mv']); else $mv='';
if (isset($param['gv'])) $gv=intval($param['gv']); else $gv='';
if (isset($param['msv'])) $msv=intval($param['msv']); else $msv='';
if (isset($param['av'])) $av=intval($param['av']); else $av='';
if (isset($param['id_circ'])) $id_circ=intval($param['id_circ']); else
	if (isset($_SESSION['id_circ'])) $id_circ=intval($_SESSION['id_circ']); else $id_circ='0';
if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='0';
if (isset($param['id_sez'])) $id_sez=intval($param['id_sez']); else $id_sez='';
if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista='0';
if (isset($param['prev_sez'])) $prev_sez=intval($param['prev_sez']); else $prev_sez='0';
if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='0';
if (isset($param['update'])) $update=intval($param['update']); else $update='';
include("modules/Elezioni/funzionidata.php");
include("modules/Elezioni/ele.php");
include_once("modules/Elezioni/ele_spoglio.php");
global $votolista, $limite, $dettnulli,$disgiunto;
if(!isset($votolista)) $votolista=0;
$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
$res = $dbi->prepare("$sql");
$res->execute();


list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
if ($tipo_cons!=3 or $votolista==1) $limite=0; #die ("limite: $limite");}
$sql="SELECT count(id_circ) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
$res = $dbi->prepare("$sql");
$res->execute();


list($num_circ)=$res->fetch(PDO::FETCH_NUM);
$sql="SELECT solo_gruppo,disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
$res = $dbi->prepare("$sql");
$res->execute();



list($dettnulli,$disgiunto)=$res->fetch(PDO::FETCH_NUM);

$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
$res = $dbi->prepare("$sql");
$res->execute();
list($conscirc)=$res->fetch(PDO::FETCH_NUM);
if ($conscirc){  // or $num_circ==1
	if (!$id_circ){
		if (!$id_sez){
			$sql="SELECT id_sez FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez='1'";
$res = $dbi->prepare("$sql");
$res->execute();


			list($id_sez)=$res->fetch(PDO::FETCH_NUM);
		}
		$sql="SELECT t1.id_circ FROM ".$prefix."_ele_sede as t1 left join ".$prefix."_ele_sezioni as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and t2.id_sez='$id_sez'";
$res = $dbi->prepare("$sql");
$res->execute();


		#$sql="SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ limit 0,1";
//$res = $dbi->prepare("$sql");
//$res->execute();


		if (!$res->rowCount()) die("Errore, non trovo circoscrizioni inserite! Consultare l'amministratore"); 
		list($id_circ)=$res->fetch(PDO::FETCH_NUM);
		$_SESSION['id_circ']=$id_circ;
	}
	$sql="select id_sede from ".$prefix."_ele_sede where id_circ='$id_circ'"; 
$result = $dbi->prepare("$sql");
$result->execute();


	$i=0;
	while(list($tmp) = $result->fetch(PDO::FETCH_NUM)) $idsedi[$i++]=$tmp;$tmp=implode (",",$idsedi);
	unset($idsedi);$i=0;$idsezi=array();unset($result);
	$sql="SELECT id_sez FROM ".$prefix."_ele_sezioni where id_sede in ($tmp)";
$result = $dbi->prepare("$sql");
$result->execute();


	unset($tmp);
	while(list($tmp) = $result->fetch(PDO::FETCH_NUM)) $idsezi[$i++]=$tmp;
	$tmp=implode (",",$idsezi);
	$sezi = "and id_sez in ($tmp)";
	$circo = "and id_circ=$id_circ"; 
}else{
	$sezi='';
	$circo='';
}

// Offset - visualizza il numero di elementi per pagina
$offset=2;
if (!isset($min)) $min=0;
$hiddenInfo = "<input type=\"hidden\" name=\"min\" value=\"$min\">";

function numeri_sezione($nums) {
// tabella visualizzazione sezioni per numero
global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$id_cons,$id_lista,$ops, $perms,$id_sez,$num_ril,$status,$idrefgruppo,$votog,$votol,$votoc; 
$idrefgruppo='';
	$solosede='';
	if ($perms<32) {
		$sql="SELECT id_sede FROM ".$prefix."_ele_operatori where aid='$aid' and id_cons=$id_cons";
$res = $dbi->prepare("$sql");
$res->execute();


		if ($res) {
			list($solouna)=$res->fetch(PDO::FETCH_NUM);
			if ($solouna>0) $solosede="and id_sede='$solouna'";
			}
		}
		$sql="SELECT num_sez, id_sez ,id_sede,colore FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $solosede order by num_sez";
$res = $dbi->prepare("$sql");
$res->execute();


		$max = $res->rowCount();
		//if ($max>=64){
		$i=0;
		echo "\n<table align=\"left\" width=\"100%\" border=\"3\"><tr bgcolor=\"$bgcolor1\"><td>";


		echo "<div id=\"navmenu\"> <ul>";
		while(list($sez_num, $sez_id ,$sede_id,$colore) = $res->fetch(PDO::FETCH_NUM)) {
#			$ops='';
			if(!$id_sez) {$id_sez=$sez_id; $id_sede=$sede_id;}
			$i++;
			$sql="SELECT id_circ FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_sede='$sede_id' ";
$result = $dbi->prepare("$sql");
$result->execute();


			list($circ_id) = $result->fetch(PDO::FETCH_NUM);

			if(!$ops) $ops=1;
			$sql="SELECT num_sez FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'";
$res2 = $dbi->prepare("$sql");
$res2->execute();


			list($numero_sez) = $res2->fetch(PDO::FETCH_NUM);
			if ($sez_num==$numero_sez) {
				$cursez= "style=\" background: $colore; border: solid; border-color: YELLOW; border-width: 4px; border-left: solid gray 4px; border-top: solid gray 4px; \"";} 
			else $cursez="style=\" background: $colore; \"";
			echo "\n<li $cursez><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$circ_id&amp;id_sede=$sede_id&amp;id_sez=$sez_id&amp;ops=$ops&amp;do=spoglio&amp;id_lista=$id_lista\">$sez_num</a></b></li>\n";
		}
		//}
echo "</ul></div></td></tr></table>\n";		
	//}// fine tabella per numero sezioni
}
///////////////////////////////////////////////////////////////////////////////////


function voti($id_cons,$do,$id_circ,$id_sede,$ops,$ov,$mv,$gv,$msv,$av,$id_lista) {
   	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc,$id_sez,$ops,$circo;

   	echo "<table border=\"0\" width=\"760\" align=\"left\"><tr>";
    	echo "\n<td bgcolor=\"$bgcolor1\" align=\"left\">";
    		numeri_sezione(22);
    		echo "\n</td></tr><tr><td>\n";


	///////////////////////
	// Circoscrizione : scelta
	///////////////////////
#	if($id_sez) $consez=" and id_sez
	$sql="SELECT t1.id_sede,t2.id_circ,t1.id_sez FROM ".$prefix."_ele_operatori as t1,
			 ".$prefix."_ele_sede as t2 
			 where t1.id_cons='$id_cons' AND t1.id_sede=t2.id_sede and t1.aid='$aid'";
$resoper = $dbi->prepare("$sql");
$resoper->execute();


	list($id_sede2,$id_circ2,$id_sez2) = $resoper->fetch(PDO::FETCH_NUM);
	if($id_sez2) $id_sez=$id_sez2;
	if ($id_sede2 and !($id_sede==$id_sede2)) {
		$id_sede=$id_sede2;
		$id_circ=$id_circ2;
		$do="spoglio";
		$sql="SELECT id_sez FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'";
		$res = $dbi->prepare("$sql");
		$res->execute();
		if(!$res->rowCount()) {
			$sql="SELECT id_sez FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sede=$id_sede order by num_sez limit 0,1";
			$res = $dbi->prepare("$sql");
			$res->execute();
			list($id_sez) = $res->fetch(PDO::FETCH_NUM);
		}
	}
	if  ($do == "circo") {
		OpenTable();
		echo "<tr><td><form name=\"voti\" action=\"admin.php\">"
      		."<input type=\"hidden\" name=\"op\" value=\"voti\">"
      		."<input type=\"hidden\" name=\"do\" value=\"sede\">"
		// Circoscrizione: lista
		//**************************************
		.""._CIRCO.": "
		."<select name=\"id_circ\">";
		$sql="SELECT id_circ,descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ";
$res = $dbi->prepare("$sql");
$res->execute();


        	while(list($id,$descr) = $res->fetch(PDO::FETCH_NUM)) {
        		if ($descr!="Tutte"){
        			if ($id == $id_circ) {
		     			$sel = "selected";
	        		} else {
		     			$sel = "";
	          		}
			 	echo "<option value=\"$id\" $sel>$descr";
      			}
		}
    		echo "</select>"
		//***********************************
      		."<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
      		."<input type=\"submit\" name=\"update\" value=\""._OK."\">"
      		."</form></td></tr>";
      		CloseTable();
  	}

	///////////////////////
	// sede : scelta
	///////////////////////


	if ($do == "sede") {
		OpenTable();
 		echo "\n<tr><td><form name=\"sede\" action=\"admin.php\">";
		$sql="SELECT  descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' AND id_circ='$id_circ' order by num_circ";
$res = $dbi->prepare("$sql");
$res->execute();


        	list( $descr_circ) = $res->fetch(PDO::FETCH_NUM);
		echo "<a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;do=circo\">"._CIRCO."</a> $descr_circ ->";
      		echo "<input type=\"hidden\" name=\"op\" value=\"voti\">"
      		."<input type=\"hidden\" name=\"do\" value=\"spoglio\">"

	// Indirizzo: lista
	//**************************************
		.""._INDIRIZZO.": "
		."<select name=\"id_sede\">";
		$sql="SELECT id_sede,indirizzo FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ' order by indirizzo";
$res = $dbi->prepare("$sql");
$res->execute();


//        	echo "$id_circ - $id_cons";
		while(list($id,$indir) = $res->fetch(PDO::FETCH_NUM)) {
        		if ($id == $id_sede) {
		     		$sel = "selected";
	          	} else {
		     		$sel = "";
	          	}
	 		echo "<option value=\"$id\" $sel>$indir";
      		}
    		echo "</select>"
	//*************************************
      		."<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
      		."<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\">"
      		."<input type=\"submit\" name=\"update\" value=\""._OK."\">"
      		."</form></td></tr>\n";
		CloseTable();
	}

	///////////////////////
	// sezione : scelta
	///////////////////////
	if ($do == "spoglio") {


	//************************************
	// Menu spoglio
	//************************************
    $sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
	$result = $dbi->prepare("$sql");
	$result->execute();
	list($id_cons2,$id_sez2,$id_sede,$num_sez, $maschi, $femmine) = $result->fetch(PDO::FETCH_NUM);
	$sql="select tipo from ".$prefix."_ele_controlli where id_sez='$id_sez' group by tipo";
$rese = $dbi->prepare("$sql");
$rese->execute();
$id_comune=$_SESSION['id_comune'];
$bordoini="style='cursor: pointer;";
$errbordoa='';
$errbordog='';
$errbordol='';
while (list($tipo)=$rese->fetch(PDO::FETCH_NUM)) {
	if ($tipo=='affluenze') $errbordoa="border: 6px solid; border-color: rgb(255, 0, 0);";
	if ($tipo=='gruppo' or $tipo=='referendum') $errbordog="border: 6px solid; border-color: rgb(255, 0, 0);";
	if ($tipo=='lista') $errbordol="border: 6px solid; border-color: rgb(255, 0, 0);";
}
$bordoa=$bordoini.$errbordoa."'";
$bordog=$bordoini.$errbordog."'";
$bordol=$bordoini.$errbordol."'";
echo "<SCRIPT type=\"text/javascript\">\n";
echo "function vai_scelta(idrif){\n";
echo "window.document.location.href=idrif\n";
echo "}\n";
echo "</script>\n"; 
if($rese->rowCount()) $segna="style=\"background-color: #dd0000;\""; else $segna='';
if($ops=="4" ) {$bgcolorg="yellow"; $tcolorg='blue';} else {$bgcolorg="grey"; $tcolorg='white';} #$active_gruppo=" class=\"ui-btn-active\""; else $active_gruppo='';
if($ops=="3") {$bgcolorl="yellow"; $tcolorl='blue';} else {$bgcolorl="grey"; $tcolorl='white';} # $active_lista=" class=\"ui-btn-active\""; else $active_lista='';
if($ops=="1") {$bgcolora="yellow"; $tcolora='blue';} else {$bgcolora="grey"; $tcolora='white';} # $active_aff=" class=\"ui-btn-active\""; else $active_aff='';
echo "<div data-role=\"content\" data-theme=\"a\"><hr><h2>Sezione n. $num_sez";
$sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
$res = $dbi->prepare("$sql");
$res->execute();
list($chiusa) = $res->fetch(PDO::FETCH_NUM);
if ($chiusa) echo " -- CONSULTAZIONE NON ATTIVA";
echo "</h2><table style=\"margin-left:auto; margin-right:auto;\"><tr>";
#<a href=\"admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=1\"></a>
echo "\n<td bgcolor=\"$bgcolora\" align=\"center\" $bordoa onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=1');\"><p style=\"margin-left:10px;margin-right:10px;\"><font color=\"$tcolora\"><b>"._AFFLUENZE."</font></b></p></td>\n";
if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
}
if($genere==2 and $votog)
	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
elseif($genere>=4 and !$votoc)
	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTAPREF."</font></b></p></td>\n";
elseif(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTA."</font></b></p></td>\n";
}
echo "</tr></table><hr></div>\n";
/*
	echo "<hr><table><tr><td  width=\"200\"><font size =\"4\" color=\"black\" align=\"left\"><b>Sezione N. $num_sez</b></font></td><td><table><tr>";
	echo "\n<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=1\">"._AFFLUENZE."</a></b></p></td>\n";
	if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=4\">"._GRUPPO."</a></b></p></td>\n";
	}
	if($genere==2 and $votog)
		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=4\">"._GRUPPO."</a></b></p></td>\n";
	elseif(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=3\">"._LISTA."</a></b></p></td>\n";
	}
	echo "</tr></table></td></tr></table><hr>\n";
*/
#############
# posizionamento in mancanza di scelta
#############
if (!$ops){
	if (!$id_sez) { echo"";#import( pagina di help );
	} else{
		$sql="SELECT data, orario from ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1";
		$res = $dbi->prepare("$sql");
		$res->execute();
		list($data,$orario)=$res->fetch(PDO::FETCH_NUM);
		$sql="SELECT voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and orario='$orario' and data='$data'";
		$res = $dbi->prepare("$sql");
		$res->execute();
        list($voti) = $res->fetch(PDO::FETCH_NUM);
		if (!$voti) $ops=1;
		else {
			if($genere<4){
				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
				$res = $dbi->prepare("$sql");
				$res->execute();
        		list($voti) = $res->fetch(PDO::FETCH_NUM);
				if ($voti==0 or $genere<3) $ops=4;
				}
			if(!$ops) $ops=3;
			}

	}
}
############ fine posizionamento

	///////////////////////////////////////////
	// opzioni per le funzioni di immissione

   		if ($ops == 1) {
     			votanti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av);
   		}else{
############# Controllo flag per cancellazione consultazione
	echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n" 
     ."//-->\n"; 
     echo "function del_dati() {\n"; 
     echo "if (document.getElementById('pwd3').checked==false) {\n"; 
     echo "document.getElementById('update').value=\""._OK."\" \n"; 
     echo "document.getElementById('do').value=\"0\" \n"; 
     echo "}else{\n"; 
     echo "document.getElementById('update').value=\""._DELETE."\" \n"; 
     echo "document.getElementById('do').value=\"1\" \n"; 
     echo "} \n"; 
     echo "} \n"; 
     echo "</script>\n"; 
		}
    		if ($ops == 3) {
     			preferenze($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops);
   		}
    		if ($ops == 4) {
     			preferenze_gruppi($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops);
                  
   		}

	}
		CloseTable();

}




 	if (!preg_match("/rec/",$op)) {
		ele(); //menu
/*		echo "\n<table align=\"left\" border=\"0\" width=\"200\"><tr bgcolor=\"$bgcolor1\">";
		numeri_sezione(8);
		echo "<td></td></tr></table>\n";*/
		echo"</td></tr></table>";
	}

 switch ($op){
	case "voti": //fa eccezione perche' chiamata con minor numero di parametri - riesaminare 
#    	voti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av,$id_lista);
    	voti($id_cons,$do,$id_circ,$id_sede,$ops,$ov,$mv,$gv,$msv,$av,$id_lista);
    	break;
	case "rec_add_votanti":
		rec_add_votanti($vari);
		break;
	default :
    	$op($vari); //chiamata a funzione variabile con parametri variabili (da cambiare!)
  }
echo"</td></tr></table>";
	include_once("modules/Elezioni/language/lang-$currentlang.php");
   include ("footer.php");
?>

